{-# LANGUAGE Arrows #-}

module HRef.Grammars.Html where

import Language.Grammars.Grammar
import Language.Grammars.Murder

import Document.Grammars.Html
import Document.Decl
import HRef.Decl

import Utils


gHtmlHref sem = proc imported -> do
    let inline = getNT cs_inline imported
    
    _ <-addProds-< (inline,  
    				iI (pHref sem) "<a href=\"" (someExcept "\"") "\">" (someExcept "<") "</a>" Ii)
    
    exportNTs -< imported
